:root {
    --accent: 0 0 0;
    --contrast-accent: 255 255 255;
    --font-family: "Inter", "Helvetica", "Arial", sans-serif;
    --color: 0 0 0;
    --primary: var(--color);
    --contrast-primary: 255 255 255;
    --filled: 255 255 255;
    --contrast-filled: var(--color);
    --body-bg: #fff;
    --active-bg: rgb(var(--color) / var(--gray-1));
    --border-alpha: 0.3;
    --preview-ratio: 16/10;
}

html {
    scroll-behavior: smooth;
}

body {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    font-family: var(--font-family);
    font-size: 1rem;
    line-height: 1.6;
    -webkit-overflow-scrolling: touch;
}

h1, h2 {
    font-size: 2.5rem;
    line-height: 1.2;
}

h1 {
    font-size: 2.5rem;
    line-height: 1.2;
    font-weight: 400;
}

h2 {
    font-size: 1.5rem;
    line-height: 1.3;
    font-weight: 400;
}

h3 {
    font-size: 1.25rem;
    line-height: 1.6;
    font-weight: 400;
}

h4 {
    font-size: 1rem;
    line-height: 1.5;
    font-weight: 400;
}

h5 {
    font-size: 0.875rem;
    line-height: 1.3;
    font-weight: 400;
}

h6 {
    font-size: 0.75rem;
    line-height: 1.2;
    font-weight: 400;
}

p {
    margin: 0;
    margin-bottom: 1rem;
}

hr {
    margin: 2rem 0;
}

a {
    color: #000;
    text-decoration: underline;
}

a:link {
    color: #000;
}

a:visited {
    color: #000;
}

a:hover {
    color: #000;
}

a:active {
    color: #000;
}

table {
    border-collapse: collapse;
    display: block;
    overflow: auto;
}

th, td {
    border: 1px solid rgb(var(--accent));
    padding: 0.5rem;
}

header, footer {
    padding: 1.5rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

header a, footer a {
    text-decoration: none;
    color: rgb(var(--accent)/var(--border-alpha));
}

header a:link, footer a:link {
    color: rgb(var(--accent)/var(--border-alpha));
}

header a:hover, footer a:hover {
    color: rgb(var(--accent));
}

article table {
    margin-bottom: 1rem;
}

#root, #app {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.page, section {
    display: flex;
    flex-direction: column;
}

.page {
    height: 100%
}

.page > section {
    padding: 1.5rem;
    flex: 1;
}

@media (min-width: 1024px) {
    .page > section, header, footer {
        padding: 4rem max((100% - 71.25rem)/2, 4rem);
    }
    th, td {
	padding: 1rem;
    }
}

.hide {
    display: none;
}

#menu-thinh,
#menu-jv,
#menu-lang,
#menu-contact {
    cursor: pointer;
    color: rgb(var(--accent)/var(--border-alpha));
}

#menu-thinh.selected, 
#menu-lang.selected, 
#menu-contact.selected, 
#menu-jv.selected {
    color: rgb(var(--accent));
}

#menu-thinh:hover, 
#menu-lang:hover, 
#menu-contact:hover, 
#menu-jv:hover {
    color: rgb(var(--accent));
}

#menu-contact {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
}

#menu-contact > *:nth-child(2) {
    background: rgb(0 255 0 / var(--border-alpha));
    width: 10px;
    height: 10px;
    border-radius: 50%;
    display: block;
}

#menu-contact:hover > *:nth-child(2) {
    background: rgb(0 255 0)
}
